gdcm::PythonFilter Class Reference

PythonFilter PythonFilter is the class that make gdcm2.x looks more like gdcm1 and transform the binary blob contained in a DataElement into a string, typically this is a nice feature to have for wrapped language. More...

`#include <gdcmPythonFilter.h>`

## Public Member Functions

| PythonFilter ()
| ~PythonFilter ()
File & | GetFile ()
const File & | GetFile () const
void | SetDicts (const Dicts &dicts)
void | SetFile (const File &f)
PyObject * | ToPyObject (const Tag &t) const
void | UseDictAlways (bool)

## Detailed Description

PythonFilter PythonFilter is the class that make gdcm2.x looks more like gdcm1 and transform the binary blob contained in a DataElement into a string, typically this is a nice feature to have for wrapped language.

## Constructor & Destructor Documentation

## PythonFilter()

gdcm::PythonFilter::PythonFilter | ( |  | ) |

## ~PythonFilter()

gdcm::PythonFilter::~PythonFilter | ( |  | ) |

## Member Function Documentation

## GetFile() [1/2]

File & gdcm::PythonFilter::GetFile | ( |  | ) |

## GetFile() [2/2]

const File & gdcm::PythonFilter::GetFile | ( |  | ) | const

## SetDicts()

void gdcm::PythonFilter::SetDicts | ( | const Dicts & | dicts | ) |

## SetFile()

void gdcm::PythonFilter::SetFile | ( | const File & | f | ) |

## ToPyObject()

PyObject * gdcm::PythonFilter::ToPyObject | ( | const Tag & | t | ) | const

## UseDictAlways()

void gdcm::PythonFilter::UseDictAlways | ( | bool |  | ) |

inline

The documentation for this class was generated from the following file:

- gdcmPythonFilter.h